Subject: Re: [dtn-users] latest cvs
From: "Zahir Koradia" <[email-masked]>
To: [email-masked]
Date: Sun, 31 Dec 2006 09:33:18 +0530
List-Id: discussion/answers list for users of the dtn reference implementation <dtn-users.mailman.dtnrg.org>

Hi Ryan,
>From what I see the link is not changing its state from "opening" to "open".
"[rcm2.cse.lehigh.edu:4556 dtn:none ONDEMAND OPENING] "

I had faced a similar problem before and for me it turned out that:
1. There was a firewall running blocking that particular port traffic on
either of the two nodes. or
2. If the two nodes are not directly connected via a crossed ethernet cable
then there is some firewall sitting in the path between the two nodes which
is blocking the traffic.

Both these situations lead to non-formation of the link between the two
nodes. I have faced trouble with this a few times. In one case one node had
a firewall running and in the other case one of the two nodes was using the
wi-fi connection of my department which I guess has a firewall running
somewhere between wired to wireless path.

Hope this helps.

Zahir

On 12/31/06, ryan m <[email-masked]> wrote:
>
> I'm trying to use the latest cvs snapshot and I'm having an odd issue
> using dtnping.
>
> in the debug msgs I get
>
> [1167528658.265395 /dtn/scheme/dtn debug]
> match(dtn://rcm2.cse.lehigh.edu.dtn/ping, dtn://rcm2.cse.lehigh.edu.dtn/*)
> succeeded: pattern ' rcm2.cse.lehigh.edu.dtn' ssp 'rcm2.cse.lehigh.edu.dtn
> '
> [1167528658.265407 /dtn/routing/static/table debug] match entry
> dtn://rcm2.cse.lehigh.edu.dtn/* -> rcm2.cse.lehigh.edu:4556 (FORWARD)
> [1167528658.265422 /dtn/routing/static/table debug] get_matching
> dtn://rcm2.cse.lehigh.edu.dtn/ping done, 1 match(es)
> [1167528658.265439 /dtn/route/static debug] should_fwd bundle 4: link
> link1 ok since transmission count=0
> [1167528658.265448 /dtn/route/static debug] should_fwd bundle 4: match
> link1: forwarding log entry NONE
> [1167528658.265458 /dtn/route/static debug] can't forward bundle id 4
> dtn://basin.cse.lehigh.edu.dtn/ping.4493 ->
> dtn://rcm2.cse.lehigh.edu.dtn/ping (20 bytes payload) to link1 [
> rcm2.cse.lehigh.edu:4556 dtn:none ONDEMAND OPENING] because link not open
> [1167528658.265472 /dtn/route/static debug] fwd_to_matching bundle id 4: 1
> matches
>
> and then the bundle is never sent, what is going on?
>
> attached is my config.
>
> Ryan
>
>